openssl_pkey_get_details
openssl_pkey_get_public
OpenSSL Funktionen
PHP Manual

# openssl_pkey_get_private

(PHP 4 >= 4.2.0, PHP 5)

openssl_pkey_get_private — Liefert einen privaten Schlüssel

### Beschreibung

resource openssl_pkey_get_private ( mixed `$key` [, string `$passphrase` ] )

openssl_get_privatekey() parst `key` und bereitet ihn zur Nutzung durch andere Funktionen vor.

### Parameter-Liste

`key`

  Als `key` kann angegeben werden:

  1. Eine Zeichenkette im Format file://path/to/file.pem. Die angegebene Datei muss ein PEM kodiertes Zertifikat und/oder einen privaten Schlüssel enthalten.
  2. Ein privater Schlüssel im PEM-Format.
`passphrase`

  Der optionale Parameter `passphrase` muß angegeben werden falls der Schlüssel selbst verschlüsselt ist (durch eine Passphrase geschützt).

### Rückgabewerte

Gibt bei Erfolg eine Schlüssel-Resource zurück, `FALSE` wenn ein Fehler auftritt.

openssl_pkey_get_details
openssl_pkey_get_public
OpenSSL Funktionen
PHP Manual